add binutils-2.20.1
[openwrt/openwrt.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_19_1
6 help
7 Select the version of binutils you wish to use.
8
9 config BINUTILS_VERSION_2_18
10 depends !ubicom32
11 bool "binutils 2.18"
12
13 config BINUTILS_VERSION_2_19_1
14 bool "binutils 2.19.1"
15
16 config BINUTILS_VERSION_2_20
17 depends !avr32
18 depends !ubicom32
19 bool "binutils 2.20"
20 config BINUTILS_VERSION_2_20_1
21 depends !avr32
22 depends !ubicom32
23 bool "binutils 2.20.1"
24
25 config BINUTILS_VERSION_CS
26 depends !avr32
27 depends !ubicom32
28 depends BROKEN
29 bool "binutils 2.19.1+20090205 with CodeSourcery enhancements"
30
31 endchoice
32
33 config EXTRA_BINUTILS_CONFIG_OPTIONS
34 string
35 prompt "Additional binutils configure options" if TOOLCHAINOPTS
36 default ""
37 help
38 Any additional binutils options you may want to include....
39
40 config BINUTILS_VERSION
41 string
42 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
43 default "2.18" if BINUTILS_VERSION_2_18
44 default "2.19.1" if BINUTILS_VERSION_2_19_1
45 default "2.20" if BINUTILS_VERSION_2_20
46 default "2.20.1" if BINUTILS_VERSION_2_20_1
47 default "2.19.1+cs" if BINUTILS_VERSION_CS
48 default "2.19.1"